{% load cp_filters %}

<nav aria-label="nav">
    <ul class="pagination justify-content-center">
        {% if page_obj.has_previous %}
            <li class="page-item">
                <a class="page-link" href="?page=1">first</a>
            </li>
            <li class="page-item">
                <a class="page-link" href="?page={{ page_obj.previous_page_number }}">previous</a>
            </li>
        {% else %}
            <li class="page-item disabled">
                <a class="page-link" href="#">first</a>
            </li>
            <li class="page-item disabled">
                <a class="page-link" href="#">previous</a>
            </li>
        {% endif %}

        {% for ip in page_obj.number|get_range_sliced %}
            {% if ip > 0 and ip <= paginator.num_pages %}

            <li class="page-item">
                <a class="page-link" href="?page={{ ip }}">
                    {% if ip == page_obj.number %}
                        <u>{{ ip }}</u>
                    {% else %}
                        {{ ip }}
                    {% endif %}
                </a>
            </li>

            {% endif %}
        {% endfor %}

        {% if page_obj.has_next %}
            <li class="page-item">
                <a class="page-link" href="?page={{ page_obj.next_page_number }}">next</a>
            </li>
            <li class="page-item">
                <a class="page-link" href="?page={{ paginator.num_pages }}">last</a>
            </li>
        {% else %}
            <li class="page-item disabled">
                <a class="page-link" href="#">next</a>
            </li>
            <li class="page-item disabled">
                <a class="page-link" href="#">last</a>
            </li>
        {% endif %}
    </ul>
</nav>